Changeset 4179


Ignore:
Timestamp:
2006-07-21T01:51:25+02:00 (10 years ago)
Author:
mbm
Message:

update prereqs

File:
1 edited

Legend:

Unmodified
Added
Removed
  • branches/buildroot-ng/openwrt/include/prereq.mk

    r4170 r4179  
    77 
    88include $(TOPDIR)/rules.mk 
    9 include $(INCLUDE_DIR)/verbose.mk 
    109 
    1110$(TMP_DIR): 
     
    1312 
    1413prereq: 
    15         @echo 
    16         @if [ -f $(TMP_DIR)/.prereq-error ]; then \ 
     14        echo 
     15        if [ -f $(TMP_DIR)/.prereq-error ]; then \ 
    1716                cat $(TMP_DIR)/.prereq-error; \ 
    1817                echo; \ 
     
    2019                false; \ 
    2120        fi 
    22         @rm -rf $(TMP_DIR) 
    23         @mkdir -p $(TMP_DIR) 
     21        rm -rf $(TMP_DIR) 
     22        mkdir -p $(TMP_DIR) 
     23 
     24.SILENT: $(TMP_DIR) prereq 
    2425 
    2526define Require 
     
    2829 
    2930    prereq-$(1): $(TMP_DIR) FORCE 
    30                 @echo -n "Checking '$(1)'... " 
    31                 @if $(NO_TRACE_MAKE) -f $(INCLUDE_DIR)/prereq.mk check-$(1) >/dev/null 2>/dev/null; then \ 
     31                echo -n "Checking '$(1)'... " 
     32                if $(NO_TRACE_MAKE) -f $(INCLUDE_DIR)/prereq.mk check-$(1) >/dev/null 2>/dev/null; then \ 
    3233                        echo 'ok.'; \ 
    3334                else \ 
     
    3940          $(call Require/$(1)) 
    4041    CHECK_$(1):=1 
     42 
     43    .SILENT: prereq-$(1) check-$(1) 
    4144  endif 
    4245endef 
     
    7073 
    7174$(eval $(call Require,working-gcc, \ 
    72         No working GNU C Compiler was found on your system. \ 
     75        No working GNU C Compiler (gcc) was found on your system. \ 
    7376)) 
    7477 
     
    7982 
    8083$(eval $(call Require,working-g++, \ 
    81         No working GNU C++ Compiler was found on your system. \ 
     84        No working GNU C++ Compiler (g++) was found on your system. \ 
    8285)) 
    8386 
     
    8891 
    8992$(eval $(call Require,zlib, \ 
    90         The development version of zlib was not found on your system. \ 
     93        No zlib development files were not found on your system. \ 
    9194)) 
    9295 
     
    116119)) 
    117120 
    118  
     121$(eval $(call RequireCommand,perl, \ 
     122        Please install perl. \ 
     123)) 
Note: See TracChangeset for help on using the changeset viewer.